diff --git a/contrib/ncurses/announce.html.in b/contrib/ncurses/announce.html.in
index 84b9d4297de5..9889ef1bfb6c 100644
--- a/contrib/ncurses/announce.html.in
+++ b/contrib/ncurses/announce.html.in
@@ -466,504 +351,336 @@
 
   <ul>
     <li>
-      <p>fix a special case in <tt>PutAttrChar</tt> where a cell is
-      marked as alternate-character set, but the terminal does not
-      actually support the given graphic character. This would
-      happen in an older terminal such as <em>vt52</em>, which
-      lacks most line-drawing capability.</p>
+      <p>correct loop termination condition in
+      <code>waddnstr</code> and <code>waddnwstr</code></p>
     </li>
 
     <li>
-      <p>corrected flag for "seq" method of db 1.8.5 interface,
-      needed by toe on some of the BSDs.</p>
+      <p>improve parsing in internal function
+      <code>_nc_msec_cost</code>, allowing a single decimal
+      point</p>
     </li>
 
     <li>
-      <p>modify comparison in make_hash.c to correct a special case
-      in collision handling for Caps-hpux11</p>
+      <p>amend parameter check for entire string versus specific
+      length in <code>winsnstr</code> and <code>wins_nwstr</code>
+      to match Solaris; make similar correction to
+      <code>wins_nwstr</code></p>
     </li>
 
     <li>
-      <p>add extended_slk_color{,_sp} symbols to the appropriate
-      package/*.{map,sym} files</p>
+      <p>correct internal function <code>wadd_wch_literal</code>
+      when adding a non-spacing character to a double-width
+      character</p>
     </li>
 
     <li>
-      <p>modify lib_setup to avoid calling pthread_self() without
-      first verifying that the address is valid, i.e., for weak
-      symbols</p>
-    </li>
-
-    <li>
-      <p>add a couple of broken-linker symbols to the list of
-      versioned symbols to help with link-time optimization versus
-      weak symbols.</p>
+      <p>correct definition of <code>Charable</code> macro for
+      non-wide ncurses library .</p>
     </li>
   </ul>
 
   <h3><a name="h3-programs" id="h3-programs">Program
   improvements</a></h3>
 
-  <p id="h4-utilities">Several improvements were made to the utility programs:</p>
+  <p id="h4-utilities">Several improvements were made to the
+  utility programs. Some were done to make the <code>infocmp</code>
+  option &ldquo;<tt>-u</tt>&rdquo; option help refactor the
+  terminal database.</p>
 
   <dl>
-    <dt><span class="part-name">clear</span>
+    <dt><span class="part-name"><a href=
+    "@HOMEPAGE@/man/infocmp.1m.html">infocmp</a></span>
     </dt>
 
     <dd>
       <ul>
-        <li>improved logic for clearing with the <em>E3</em>
-        extension, in case the terminal scrolls content onto its
-        saved-lines before actually clearing the display, by
-        clearing the saved-lines after clearing the display</li>
-      </ul>
-    </dd>
+        <li>
+          <p>add limit checks for processing extended capabilities
+          with the &ldquo;<code>-u</code>&rdquo; option</p>
+        </li>
 
-    <dt><span class="part-name">infocmp</span>
-    </dt>
+        <li>
+          <p>correct initial alignment of extended capabilities, so
+          that the &ldquo;<code>-u</code>&rdquo; option can be used
+          for more than two terminal types</p>
+        </li>
 
-    <dd>
-      <ul>
-        <li>omit filtering of &ldquo;<tt>OTxx</tt>&rdquo; names
-        which are used for obsolete capabilities, when the output
-        is sorted by long-names. This change helps when making a
-        table of the short/long capability names.</li>
+        <li>
+          <p>modify &ldquo;<code>-u</code>&rdquo; option to not
+          report cancels for strings which were already cancelled
+          in a use'd chunk.</p>
+        </li>
+
+        <li>
+          <p>correct an assignment &ldquo;<code>-u</code>&rdquo;
+          for detecting if a boolean is unset in a base entry and
+          set in a use'd chunk, i.e., if it was cancelled.</p>
+        </li>
       </ul>
     </dd>
 
-    <dt><span class="part-name">tic</span>
+    <dt><span class="part-name"><a href=
+    "@HOMEPAGE@/man/tic.1m.html">tic</a></span>
     </dt>
 
     <dd>
       <ul>
-        <li>added check for consistent alternate character set
-        capabilities.</li>
-
-        <li>added check for paired <tt>indn</tt>/<tt>rin</tt>.</li>
-
-        <li>added check for terminals with <tt>parm_dch</tt> vs
-        <tt>parm_ich</tt>.</li>
-
-        <li>added check for the case where
-        <tt>setf</tt>/<tt>setb</tt> are given using different
-        strings, but provide identical results to
-        <tt>setaf</tt>/<tt>setab</tt>.</li>
-
-        <li>corrected check for <tt>ich1</tt>.</li>
+        <li>
+          <p>correct limit-check when dumping tc/use clause via
+          &ldquo;<code>-I</code>&rdquo;</p>
+        </li>
 
-        <li>changed a too-large terminal entry from a fatal error
-        to a warning.</li>
-      </ul>
-    </dd>
+        <li>
+          <p>check return value of <code>_nc_save_str</code>, in
+          special case where extended capabilities are processed
+          but the terminal description was not initialized</p>
+        </li>
 
-    <dt><span class="part-name">toe</span>
-    </dt>
+        <li>
+          <p>modify check for multiply defined aliases to report
+          problems within the current runtime rather than for
+          conflicts with pre-existing terminal descriptions.</p>
+        </li>
 
-    <dd>
-      <ul>
-        <li>ignores any hex/b64 <tt>$TERMINFO</tt> value in the
-        list of terminfo databases.</li>
+        <li>
+          <p>disallow using <code>$TERMINFO</code> or
+          <code>$HOME/.terminfo</code> when
+          &ldquo;<code>-o</code>&rdquo; option is used</p>
+        </li>
       </ul>
     </dd>
 
-    <dt><span class="part-name">tset</span>
-    </dt>
+    <dt><span class="part-name"><a href=
+    "@HOMEPAGE@/man/tput.1.html">tput</a></span> and <span class=
+    "part-name"><a href=
+    "@HOMEPAGE@/man/tset.1.html">tset</a></span></dt>
 
     <dd>
       <ul>
-        <li>replace check in <span class="part-name">reset</span>
-        command for obsolete &ldquo;<tt>pt</tt>&rdquo; capability
-        using <tt>tbc</tt> and <tt>hts</tt> capabilities as
-        clues</li>
-
-        <li>modify <span class="part-name">reset</span> to allow
-        for tabstops at intervals other than 8.</li>
-
-        <li>change <span class="part-name">reset</span>'s behavior
-        for margins to simply clear soft-margins if possible,
-        rather than clearing and then setting them according to the
-        terminal's width.</li>
-      </ul>
-    </dd>
+        <li>
+          <p>add &ldquo;<code>-v</code>&rdquo; option to tput, to
+          show warnings</p>
+        </li>
 
-    <dt><span class="part-name">tput</span>
-    </dt>
+        <li>
+          <p>modify <em>reset</em> command to avoid altering clocal
+          if the terminal uses a modem</p>
+        </li>
 
-    <dd>
-      <ul>
-        <li>add &ldquo;<tt>x</tt>&rdquo; to <tt>getopt</tt> string
-        so that &ldquo;<tt>tput&nbsp;-x&nbsp;clear</tt>&rdquo;
-        works.</li>
+        <li>
+          <p>modify <em>reset</em> feature to avoid 1-second sleep
+          if running in a pseudo-terminal</p>
+        </li>
       </ul>
     </dd>
   </dl>
 
-  <p>Several changes were made to the generated ncurses*config
-  scripts and the analogous &ldquo;<tt>.pc</tt>&rdquo; files to
-  reduce differences between the configurations they report:</p>
-
-  <ul>
-    <li>
-      <p>modified the ncurse*-config and pc-files to more closely
-      match for the <tt>-I</tt> and <tt>-l</tt> options.</p>
-    </li>
-
-    <li>
-      <p>filtered out linker-specs from the <tt>--libs</tt>
-      report.</p>
-    </li>
-
-    <li>
-      <p>amended the ncurses*-config and pc-files to take into
-      account the rpath hack which differed between those
-      files.</p>
-    </li>
-
-    <li>
-      <p>modified generated ncurses*config and ncurses.pc,
-      ncursesw.pc, etc., to list helper libraries such as gpm for
-      static linking.</p>
-    </li>
-  </ul>
-
   <h4><a name="h4-examples" id="h4-examples">Examples</a></h4>
 
   <p>Along with the library and utilities, improvements were made
   to the <a href=
-  "@HOMEPAGE@/ncurses-examples.html">ncurses-examples</a>. Most of
-  this activity aimed at improving the test-packages. A few changes
-  are more generally useful, e.g., for the main ncurses
-  test-program, and for analyzing traces using the
-  <em>tracemunch</em> script:</p>
+  "@HOMEPAGE@/ncurses-examples.html">ncurses-examples</a>:</p>
 
   <ul>
     <li>
-      <p>improve recovery from error when reading command-character
-      in <tt>test/ncurses.c</tt>, showing the relevant error
-      message and not exiting on EINTR.</p>
+      <p>modify <code>test_tparm</code> to account for extended
+      capabilities</p>
     </li>
 
     <li>
-      <p>improve <em>tracemunch</em>, by keeping track of
-      <tt>TERMINAL*</tt> values, and if tracing was first turned on
-      after initialization, attempt to show distinct screen, window
-      and terminal names anyway.</p>
+      <p>corrected mouse mask in <code>test/testcurs.c</code></p>
     </li>
 
     <li>
-      <p>modify <em>tracemunch</em> to accept filename parameters
-      in addition to use as a pipe/filter.</p>
+      <p>modify <code>test/clip_printw.c</code> to optionally test
+      non-wrapped updates</p>
     </li>
 
     <li>
-      <p>update <em>tracemunch</em> to work with <em>perl
-      5.26.2</em>, which changed the rules for escaping regular
-      expressions.</p>
+      <p>modify <code>test/test_mouse.c</code> to use curses api
+      for raw/noraw</p>
     </li>
 
     <li>
-      <p>add some checks in <em>tracemunch</em> for undefined
-      variables.</p>
-    </li>
-
-    <li>
-      <p>modify <tt>TurnOn</tt>/<tt>TurnOff</tt> macros (in
-      lib_vidattr.c and lib_vid_attr.c) to avoid expansion of
-      &ldquo;<tt>CUR</tt>&rdquo; in trace.</p>
+      <p>modify <code>test/clip_printw.c</code> to optionally test
+      non-wrapped updates</p>
     </li>
   </ul>
 
-  <p>There are other new demo/test programs and reusable
-  examples:</p>
+  <p>There is one new demo/test programs:</p>
 
   <dl>
-    <dt><span class="part-name">color_content</span>
-    </dt>
-
-    <dd>Demonstrate the <tt>color_content</tt> and
-    <tt>extended_color_content</tt> functions.</dd>
-
-    <dt><span class="part-name">demo_tabs</span>
-    </dt>
-
-    <dd>A simple demo of tabs in curses.</dd>
-
-    <dt><span class="part-name">dump_window</span>
-    </dt>
-
-    <dd>A portable curses screen-dump, used to compare ncurses
-    screen contents with Solaris.</dd>
-
-    <dt><span class="part-name">pair_content</span>
-    </dt>
-
-    <dd>Demonstrate the <tt>pair_content</tt> and
-    <tt>extended_pair_content</tt> functions.</dd>
-
-    <dt><span class="part-name">report_hashing</span>
-    </dt>
-
-    <dd>Check hash-tables used for terminfo and termcap names.</dd>
-
-    <dt><span class="part-name">parse_rgb</span>
+    <dt><span class="part-name"><em>test/test_endwin.c</em></span>
     </dt>
 
-    <dd>Sample implementation of the ncurses RGB extension from
-    <a href="@HOMEPAGE@/man/user_caps.5.html">user_caps.5</a>, used
-    in <em>picsmap</em> and <em>savescreen</em> programs.</dd>
+    <dd>
+      <p>This program shows the return-status from
+      <code>endwin</code> with different combinations of
+      <code>endwin</code> (repeated), <code>initscr</code>,
+      <code>newterm</code>.</p>
+    </dd>
   </dl>
 
-  <p>A variety of improvements were made to existing programs, both
-  new features as well as options added to make the set of programs
-  more consistent.</p>
+  <h3><a name="h3-database" id="h3-database">Terminal database</a></h3>
+
+  <p>There are several new terminal descriptions:</p>
 
   <ul>
     <li>
-      <p>add &ldquo;<tt>-l</tt>&rdquo; option to test/background,
-      to dump screen contents in a form that lets different curses
-      implementations be compared.</p>
+      <p><a href=
+      "@HOMEPAGE@/terminfo.src.html#tic-ansi_apparrows"><tt>ansi+apparrows</tt></a></p>
     </li>
 
     <li>
-      <p>add &ldquo;<tt>@</tt>&rdquo; command to test/ncurses
-      F-test, to allow rapid jump to different character pages.</p>
+      <p><a href=
+      "@HOMEPAGE@/terminfo.src.html#tic-contour"><tt>contour</tt></a></p>
     </li>
 
     <li>
-      <p>added enum, regex examples to test/demo_forms</p>
+      <p><a href=
+      "@HOMEPAGE@/terminfo.src.html#tic-linux_kbs"><tt>linux+kbs</tt></a>
+      for terminals which imitate xterm's behavior with Linux</p>
     </li>
 
     <li>
-      <p>amend Scaled256() macro in test/picsmap.c to cover the
-      full range 0..1000</p>
+      <p><a href=
+      "@HOMEPAGE@/terminfo.src.html#tic-rio"><tt>rio</tt></a>,
+      <a href=
+      "@HOMEPAGE@/terminfo.src.html#tic-rio-direct"><tt>rio-direct</tt></a></p>
     </li>
 
     <li>
-      <p>corrected pathname used in Ada95 sample programs for
-      <tt>explain.txt</tt>, to work with test-packages, and used an
-      awk script to split the resulting pathname when it would be
-      too long for a single line.</p>
+      <p><a href=
+      "@HOMEPAGE@/terminfo.src.html#tic-mostlike"><tt>mostlike</tt></a></p>
     </li>
 
     <li>
-      <p>ignore interrupted system-call in test/ncurses's
-      command-line, e.g., if the terminal were resized.</p>
+      <p><a href=
+      "@HOMEPAGE@/terminfo.src.html#tic-ms-vt100-16color"><tt>ms-vt100-16color</tt></a>,
+      <a href=
+      "@HOMEPAGE@/terminfo.src.html#tic-winconsole"><tt>winconsole</tt></a></p>
     </li>
 
     <li>
-      <p>improved ifdef's for <tt>TABSIZE</tt> variable, to help
-      with AIX/HPUX ports.</p>
+      <p><a href=
+      "@HOMEPAGE@/terminfo.src.html#tic-vt100_noapp"><tt>vt100+noapp</tt></a>,
+      <a href=
+      "@HOMEPAGE@/terminfo.src.html#tic-vt100_noapp_pc"><tt>vt100+noapp+pc</tt></a>,
+      <a href=
+      "@HOMEPAGE@/terminfo.src.html#tic-xterm_app_pc"><tt>xterm+app+pc</tt></a>,
+      <a href=
+      "@HOMEPAGE@/terminfo.src.html#tic-xterm_decedit"><tt>xterm+decedit</tt></a>
+      from <a href="@WEBSITE@/xterm/xterm.log.html#xterm_389">xterm
+      #389</a></p>
     </li>
-  </ul>
-
-  <h3><a name="h3-database" id="h3-database">Terminal database</a></h3>
-
-  <p>There are several new terminal descriptions:</p>
-
-  <blockquote style="word-break:keep-all">
-    <p><tt>alacritty</tt>, <tt>domterm</tt>, <tt>kitty</tt>,
-    <tt>mintty</tt>, <tt>mintty-direct</tt>, <tt>ms-terminal</tt>,
-    <tt>n7900</tt>, <tt>nsterm-build309</tt>,
-    <tt>nsterm-direct</tt>, <tt>screen5</tt>, <tt>ti703</tt>,
-    <tt>ti707</tt>, <tt>ti703-w</tt>, <tt>ti707-w</tt>
-    <tt>vscode</tt>, <tt>vscode-direct</tt>, <tt>xterm-mono</tt>,
-    <tt>xterm.js</tt></p>
-  </blockquote>
 
-  <p>There are many changes to existing terminal descriptions. Some
-  were updates to several descriptions:</p>
-
-  <ul>
-    <li>use <a href=
-    "/ncurses/terminfo.src.html#tic-ansi_rep"><tt>ansi+rep</tt></a>
-    in a dozen places</li>
-
-    <li>add rs1 to konsole, mlterm</li>
-
-    <li>improve several flash capabilities with trailing mandatory
-    delays</li>
-
-    <li>drop <tt>ich1</tt> from <tt>rxvt-basic</tt>, <tt>Eterm</tt>
-    and <tt>mlterm</tt> to improve compatibility with old
-    non-curses programs</li>
-
-    <li>add/use <a href=
-    "/ncurses/terminfo.src.html#tic-xterm_keypad"><tt>xterm+keypad</tt></a>
-    in <tt>xterm-new</tt></li>
-
-    <li>use <a href=
-    "/ncurses/terminfo.src.html#tic-xterm_sl-twm"><tt>xterm+sl-twm</tt></a>
-    for consistency, nine places</li>
+    <li>
+      <p><a href=
+      "@HOMEPAGE@/terminfo.src.html#tic-putty_cursor"><tt>putty+cursor</tt></a>
+      to reflect amending of modified cursor-keys in 2021</p>
+    </li>
 
-    <li>improve <em>xm</em> example in <a href=
-    "/ncurses/terminfo.src.html#tic-xterm_x11mouse">xterm+x11mouse</a>
-    and <a href=
-    "/ncurses/terminfo.src.html#tic-xterm_sm_1006">xterm+sm_1006</a>.</li>
+    <li>
+      <p><a href=
+      "@HOMEPAGE@/terminfo.src.html#tic-wezterm"><tt>wezterm</tt></a></p>
+    </li>
   </ul>
 
-  <p>while others affected specific descriptions. These were
-  retested, to take into account changes by their developers:</p>
-
-  <blockquote>
-    <p><tt>terminator</tt>, <tt>st</tt></p>
-  </blockquote>
-
-  <p>while these are specific fixes based on reviewing
-  documentation, user reports, or warnings from <span class=
-  "part-name">tic</span>:</p>
-
-  <dl>
-    <dt><a href=
-    "/ncurses/terminfo.src.html#tic-adds200">adds200</a>:</dt>
-
-    <dd>
-      <ul>
-        <li>fix typo</li>
-      </ul>
-    </dd>
-
-    <dt><a href=
-    "/ncurses/terminfo.src.html#tic-gnome-256color">gnome-256color</a>
-    </dt>
-
-    <dd>
-      <ul>
-        <li>base entry on "gnome", not "vte", for consistency</li>
-      </ul>
-    </dd>
-
-    <dt><a href=
-    "/ncurses/terminfo.src.html#tic-interix">interix</a>
-    </dt>
-
-    <dd>
-      <ul>
-        <li>trim unnecessary setf/setb</li>
-      </ul>
-    </dd>
-
-    <dt><a href=
-    "/ncurses/terminfo.src.html#tic-linux-16color">linux-16color</a>
-    </dt>
-
-    <dd>
-      <ul>
-        <li>accommodate <a href=
-        "https://lists.gnu.org/archive/html/bug-ncurses/2019-10/msg00061.html">
-        Linux console driver</a> incompatibility introduced in
-        early 2018</li>
-      </ul>
-    </dd>
-
-    <dt><a href=
-    "/ncurses/terminfo.src.html#tic-nsterm-256color">nsterm-256color</a>:</dt>
-
-    <dd>
-      <ul>
-        <li>add nsterm-build309 to replace nsterm-256color,
-        assigning the latter as an alias of nsterm, to make mouse
-        work with nsterm-256color</li>
-      </ul>
-    </dd>
-
-    <dt><a href=
-    "/ncurses/terminfo.src.html#tic-regent40">regent40</a>:</dt>
-
-    <dd>
-      <ul>
-        <li>renumber function-keys to match manual</li>
-      </ul>
-    </dd>
-
-    <dt><a href=
-    "/ncurses/terminfo.src.html#tic-regent60">regent60</a>:</dt>
-
-    <dd>
-      <ul>
-        <li>add cd (clr_eos)</li>
-
-        <li>corrected acsc</li>
-
-        <li>add shifted function-keys</li>
-      </ul>
-    </dd>
-
-    <dt><a href=
-    "/ncurses/terminfo.src.html#tic-tvi950">tvi950</a>:</dt>
-
-    <dd>
-      <ul>
-        <li>added function-key definitions to agree with Televideo
-        950 manual</li>
-
-        <li>corrected acsc</li>
+  <p>There are many changes to existing terminal descriptions. Some
+  were updates to several descriptions, using the
+  <code>infocmp</code> &ldquo;<code>-u</code>&rdquo; option in a
+  script to determine which <em>building-block</em> entries could
+  be used to replace multiple capability settings (and trim
+  redundant information).</p>
 
-        <li>remove bogus kf0</li>
+  <p>Other changes include:</p>
 
-        <li>add bel</li>
-      </ul>
-    </dd>
+  <ul>
+    <li>
+      <p><a href=
+      "@HOMEPAGE@/terminfo.src.html#toc-_X_T_E_R_M__Extensions_">document</a>
+      XF, kxIN and kxOUT</p>
+    </li>
 
-    <dt><a href=
-    "/ncurses/terminfo.src.html#tic-tvi955">tvi955</a>:</dt>
+    <li>
+      <p>add note on <a href=
+      "@HOMEPAGE@/terminfo.src.html#tic-sun"><tt>sun</tt></a>
+      regarding wscons/cmdtool/shelltool</p>
+    </li>
 
-    <dd>
-      <ul>
-        <li>fix typo</li>
-      </ul>
-    </dd>
+    <li>
+      <p>remove DECCOLM+DECSCLM from <a href=
+      "@HOMEPAGE@/terminfo.src.html#tic-foot"><tt>foot</tt></a></p>
+    </li>
 
-    <dt><a href=
-    "/ncurses/terminfo.src.html#tic-vi200">vi200</a>:</dt>
+    <li>
+      <p>add xterm+focus to <a href=
+      "@HOMEPAGE@/terminfo.src.html#tic-foot_base"><tt>foot+base</tt></a></p>
+    </li>
 
-    <dd>
-      <ul>
-        <li>add acsc string, including right/down-arrow</li>
-      </ul>
-    </dd>
+    <li>
+      <p>add ecma+strikeout to <a href=
+      "@HOMEPAGE@/terminfo.src.html#tic-putty"><tt>putty</tt></a></p>
+    </li>
 
-    <dt><a href=
-    "/ncurses/terminfo.src.html#tic-wy50">wy50</a>:</dt>
+    <li>
+      <p>use CSI 3J in <a href=
+      "@HOMEPAGE@/terminfo.src.html#tic-vte-2017"><tt>vte-2017</tt></a></p>
+    </li>
 
-    <dd>
-      <ul>
-        <li>corrected acsc</li>
-      </ul>
-    </dd>
+    <li>
+      <p>use oldxterm+sm+1006 in <a href=
+      "@HOMEPAGE@/terminfo.src.html#tic-vte-2014"><tt>vte-2014</tt></a></p>
+    </li>
 
-    <dt><a href="/ncurses/terminfo.src.html#tic-wy50">wy50</a> and
-    <a href="/ncurses/terminfo.src.html#tic-wy60">wy60</a>:</dt>
+    <li>
+      <p>modify <a href=
+      "@HOMEPAGE@/terminfo.src.html#tic-xgterm"><tt>xgterm</tt></a>
+      to work around line-drawing bug</p>
+    </li>
 
-    <dd>
-      <ul>
-        <li>add shifted function-keys as kF1 to kF16</li>
-      </ul>
-    </dd>
+    <li>
+      <p>add xterm focus mode 1004 to <a href=
+      "@HOMEPAGE@/terminfo.src.html#tic-xterm_focus"><tt>xterm+focus</tt></a>
+      as fe/fd capabilities, like vim.</p>
+    </li>
 
-    <dt><a href=
-    "/ncurses/terminfo.src.html#tic-xterm_x11hilite">xterm+x11hilite</a>:</dt>
+    <li>
+      <p>add xterm+focus to <a href=
+      "@HOMEPAGE@/terminfo.src.html#tic-alacritty_common"><tt>alacritty+common</tt></a></p>
+    </li>
 
-    <dd>
-      <ul>
-        <li>eliminate unused <em>p5</em> parameter.</li>
-      </ul>
-    </dd>
-  </dl>
+    <li>
+      <p>add XR/xr, to work with vim, and use RV/rv to denote DA2
+      and its response</p>
+    </li>
 
-  <p>A few entries use extensions (user-defined terminal
-  capabilities):</p>
+    <li>
+      <p>add XF flag to <a href=
+      "@HOMEPAGE@/terminfo.src.html#tic-xterm_focus"><tt>xterm+focus</tt></a>
+      so that termcap applications can be aware of terminals which
+      may support focus in/out</p>
+    </li>
 
-  <ul>
-    <li>use <a href=
-    "/ncurses/terminfo.src.html#tic-xterm_sm_1006"><tt>xterm+sm+1006</tt></a>
-    (aka &ldquo;SGR 1006 mouse&rdquo;) for konsole-base and
-    putty</li>
+    <li>
+      <p>use xterm+focus in <a href=
+      "@HOMEPAGE@/terminfo.src.html#tic-xterm-p370"><tt>xterm-p370</tt></a>
+      and <a href=
+      "@HOMEPAGE@/terminfo.src.html#tic-tmux"><tt>tmux</tt></a></p>
+    </li>
 
-    <li>add <em><tt>Smol/Rmol</tt></em> user-defined capability to
-    <tt>tmux</tt> and <tt>vte-2018</tt></li>
+    <li>
+      <p>remove xterm+sm+1006 from <a href=
+      "@HOMEPAGE@/terminfo.src.html#tic-tmux"><tt>tmux</tt></a></p>
+    </li>
 
-    <li>add <em><tt>Smulx</tt></em> user-defined capability to
-    <tt>tmux</tt>, <tt>vte-2018</tt></li>
+    <li>
+      <p>NetBSD-related fixes for <a href=
+      "@HOMEPAGE@/terminfo.src.html#tic-x68k"><tt>x68k</tt></a> and
+      <a href=
+      "@HOMEPAGE@/terminfo.src.html#tic-wsvt25"><tt>wsvt25</tt></a></p>
+    </li>
   </ul>
 
   <h3><a name="h3-documentation" id=
@@ -997,88 +714,69 @@
       <p>Corrections:</p>
 
       <ul>
-        <li>correct error-returns listed in manual pages for a few
-        form functions</li>
+        <li>
+          <p>add assignment in <code>CF_MAN_PAGES</code> to fill in
+          value for <code>TERMINFO_DIRS</code> in ncurses, terminfo
+          and tic manpages.</p>
+        </li>
 
-        <li>corrected prototypes in several manpages using script
-        to extract those in compilable form.</li>
+        <li>
+          <p>clarify interaction of <code>-R</code> option versus
+          <code>-C</code>, <code>-I</code> and <code>-r</code> in
+          <code>infocmp</code> manpage.</p>
+        </li>
 
-        <li>fix typo in <a href=
-        "@HOMEPAGE@/man/term.5.html#h3-EXTENDED-NUMBER-FORMAT">term.5</a>,
-        improve explanation of format</li>
-      </ul>
-    </li>
+        <li>
+          <p>correct manpage description of panel_hidden.</p>
+        </li>
 
-    <li>
-      <p>Clarify in manual pages that <a href=
-      "@HOMEPAGE@/man/curs_printw.3x.html#h2-PORTABILITY">vwprintw</a>
-      and <a href=
-      "@HOMEPAGE@/man/curs_scanw.3x.html#h2-PORTABILITY">vwscanw</a>
-      are obsolete.<br>
-      They have not been part of X/Open Curses since 2007.</p>
-    </li>
+        <li>
+          <p>improve manpage description for addch versus unctrl
+          format used for non-printable characters.</p>
+        </li>
 
-    <li>
-      <p>New/improved history and portability sections:</p>
+        <li>
+          <p>improve manpages discussing file descriptors in
+          low-level functions.</p>
+        </li>
 
-      <ul>
-        <li><a href=
-        "@HOMEPAGE@/man/curs_addch.3x.html#h3-ACS-Symbols">curs_addch.3x</a>
-        gives some background for ACS symbols.</li>
-
-        <li><a href=
-        "@HOMEPAGE@/man/curs_getcchar.3x.html#h2-PORTABILITY">curs_getcchar.3x</a>
-        explains a difference between ncurses and X/Open
-        Curses.</li>
-
-        <li><a href=
-        "@HOMEPAGE@/man/curs_getstr.3x.html#h2-PORTABILITY">curs_getstr.3x</a>
-        gives historical/portability background for the length
-        parameter of <tt>wgetnstr</tt>.</li>
-
-        <li><a href=
-        "@HOMEPAGE@/man/curs_slk.3x.html">curs_slk.3x</a> lists a
-        few differences between SVr4 curses and X/Open Curses for
-        soft-keys.</li>
-
-        <li><a href=
-        "@HOMEPAGE@/man/curs_terminfo.3x.html">curs_terminfo.3x</a>
-        explains that the initial implementation of terminfo in
-        SVr2 was mostly replaced by other developers in SVr3.</li>
-
-        <li><a href="@HOMEPAGE@/man/infocmp.1m.html">infocmp.1</a>
-        explains that the initial version of terminfo had no tool
-        for decompiling descriptions. That came later, with SVr3,
-        with a different developer.</li>
-
-        <li><a href="@HOMEPAGE@/man/tabs.1.html">tabs.1</a> tells more
-        than you wanted to know about the tool.</li>
-
-        <li><a href="@HOMEPAGE@/man/tic.1m.html">tic.1</a> explains
-        that the initial version of terminfo had a rudimentary tool
-        (based on termcap) for compiling entries. The tool used
-        with Unix was developed by others for SVr3.</li>
-
-        <li><a href="@HOMEPAGE@/man/toe.1m.html">toe.1</a> explains
-        the origin of this tool.</li>
+        <li>
+          <p>improve description of search rules for terminal
+          descriptions in terminfo manpage.</p>
+        </li>
+
+        <li>
+          <p>modify dist.mk to avoid passing developer's comments
+          in manpages into the generated html documentation.</p>
+        </li>
+
+        <li>
+          <p>modify test-package "ncurses6-doc" to use
+          manpage-aliases, which in turn required a change to the
+          configure script to factor in the extra-suffix option
+          when deriving alias names.</p>
+        </li>
       </ul>
     </li>
 
     <li>
-      <p>Improvements for <a href=
-      "@HOMEPAGE@/man/user_caps.5.html">user_caps.5</a>:</p>
+      <p>New/improved history and portability sections:</p>
 
       <ul>
-        <li>mention <tt>meml</tt>, <tt>memu</tt> and
-        <tt>box1</tt></li>
-
-        <li>expanded description of <tt>XM</tt></li>
+        <li>
+          <p>add information about "ttycap", termcap's forerunner,
+          to tset.1</p>
+        </li>
 
-        <li>add a clarification regarding the <tt>RGB</tt>
-        capability.</li>
+        <li>
+          <p>document limitations of tparm, and error-returns in
+          curs_terminfo.3x</p>
+        </li>
 
-        <li>mention user_caps.5 in the tic and infocmp manual
-        pages.</li>
+        <li>
+          <p>document limitations of tgoto, and error-returns in
+          curs_termcap.3x</p>
+        </li>
       </ul>
     </li>
 
@@ -1086,49 +784,20 @@
       <p>Other improvements:</p>
 
       <ul>
-        <li><a href=
-        "@HOMEPAGE@/man/curs_add_wch.3x.html#h3-Line-Graphics">curs_add_wch.3x</a>
-        adds note about Unicode terminology for the line-drawing
-        characters.</li>
-
-        <li><a href=
-        "@HOMEPAGE@/man/curs_color.3x.html#h2-RETURN-VALUE">curs_color.3x</a>
-        improves discussion of error returns and extensions.</li>
-
-        <li><a href=
-        "@HOMEPAGE@/man/curs_mouse.3x.html">curs_mouse.3x</a>
-        explains how the <tt>kmous</tt> and <tt>XM</tt>
-        capabilities are used for xterm-mouse input.</li>
-
-        <li><a href=
-        "@HOMEPAGE@/man/curs_refresh.3x.html#h3-wnoutrefresh_doupdate">
-        curs_refresh.3x</a> improves documentation regarding the
-        virtual and physical screens.</li>
-
-        <li><a href=
-        "@HOMEPAGE@/man/curs_util.3x.html">curs_util.3x</a>
-        mentions a difference between SVr4 and X/Open Curses for
-        <tt>unctrl.h</tt></li>
-
-        <li><a href=
-        "@HOMEPAGE@/man/curs_variables.3x.html#h2-PORTABILITY">curs_variables.3x</a>
-        improves description of the <em>init_tabs</em> capability
-        and <tt>TABSIZE</tt> variable.</li>
-
-        <li><a href=
-        "@HOMEPAGE@/man/ncurses.3x.html#h2-ALTERNATE-CONFIGURATIONS">
-        ncurses.3x</a> improves documentation regarding
-        feature-test macros in curses.h</li>
-
-        <li><a href=
-        "@HOMEPAGE@/man/resizeterm.3x.html#h3-resize_term">resizeterm.3x</a>
-        about top-level windows which touch the screen's
-        borders.</li>
-
-        <li><a href=
-        "@HOMEPAGE@/man/tput.1.html#h3-Terminal-Size">tput.1</a>
-        clarifies how <em>tput</em> determines the terminal
-        size.</li>
+        <li>
+          <p>This release has many changes to improve the
+          formatting and style of the manpages.</p>
+        </li>
+
+        <li>
+          <p>Manpages now use consistent section-naming, page
+          headers and footers (including the modification date for
+          each page).</p>
+        </li>
+
+        <li>
+          <p>Table layout has been revised.</p>
+        </li>
       </ul>
     </li>
   </ul>
